#ifndef SHROOMS_VB_NATIVE_GRAPHICS_
#define SHROOMS_VB_NATIVE_GRAPHICS_

#include <SDL2/SDL.h>
#include <nuklear.h>

typedef struct {
    SDL_Window *window;
    SDL_Renderer *renderer;
    SDL_Texture *leftEye;
    SDL_Texture *rightEye;
    struct nk_context *nk;
    struct nk_colorf bg;
} GraphicsContext;

int gfxInit(GraphicsContext *gfx);
void gfxDestroy(GraphicsContext *gfx);

void gfxUpdateLeftEye(GraphicsContext *gfx, const uint8_t *bytes);
void gfxUpdateRightEye(GraphicsContext *gfx, const uint8_t *bytes);

void gfxMenuInputBegin(GraphicsContext *gfx);
void gfxMenuHandleEvent(GraphicsContext *gfx, SDL_Event *event);
void gfxMenuInputEnd(GraphicsContext *gfx);

void gfxRender(GraphicsContext *gfx);

#endif
